Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## examples.extending
Interface AlphaNumericSequencerExtensionHome

public interface AlphaNumericSequencerExtensionHome
extends SmartEJBHome

The home interface for the AlphaNumericSequencerExtension entity bean. Use this class to create, remove, and find AlphaNumericSequencerExtension entity beans.

Method Summary
`AlphaNumericSequencerExtension` | `create(AlphaNumericSequencerExtensionPk alphaNumericSequencerExtensionPk)` Create a new AlphaNumericSequencerExtension entity bean using the examples.extending.AlphaNumericSequencerExtensionPk.
`AlphaNumericSequencerExtension` | `findByPrimaryKey(AlphaNumericSequencerExtensionPk alphaNumericSequencerExtensionPk)` Find an AlphaNumericSequencerExtension entity bean using the examples.extending.AlphaNumericSequencerExtensionPk.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### create

    public AlphaNumericSequencerExtension create(AlphaNumericSequencerExtensionPk alphaNumericSequencerExtensionPk)
                                          throws CreateException,
                                                 java.rmi.RemoteException

  Create a new AlphaNumericSequencerExtension entity bean using the examples.extending.AlphaNumericSequencerExtensionPk.

### findByPrimaryKey

    public AlphaNumericSequencerExtension findByPrimaryKey(AlphaNumericSequencerExtensionPk alphaNumericSequencerExtensionPk)
                                                    throws java.rmi.RemoteException,
                                                           FinderException

  Find an AlphaNumericSequencerExtension entity bean using the examples.extending.AlphaNumericSequencerExtensionPk.

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.